using System;

internal sealed class Delegate547 : MulticastDelegate
{
	public extern void Invoke(object object_0, bool bool_0);

	public static void smethod_0(object object_0, bool bool_0, Delegate547 delegate547_1)
	{
		delegate547_1(object_0, bool_0);
	}

	public extern Delegate547(object object_0, IntPtr intptr_0);

	static Delegate547()
	{
		Class10.smethod_13(typeof(Delegate547).TypeHandle);
	}

	internal static Delegate547 delegate547_0;
}
